{
pkgs ? import /home/steveej/src/github/NixOS/nixpkgs-systemsource {},
mkGoEnv ? import ./go.nix,
}:
let 
  rktBasebuildInputs = with pkgs; [
    autoconf
    automake
    autogen
    gnupg1
    squashfsTools
    cpio
    tree
    intltool
    libtool
    pkgconfig
    libgcrypt
    gperf
    libcap
    libseccomp
    libzip
    eject
    iptables
    bc
    acl
  ];
in {
  go15 = mkGoEnv {
    inherit pkgs;

    name = "rktGo15";
    version = "15";
    extraBuildInputs = rktBasebuildInputs;
  };

  go16 = mkGoEnv {
    inherit pkgs;

    name = "rktGo16";
    version = "16";
    extraBuildInputs = rktBasebuildInputs;
  };
}
